//
// © 2021 David Vines
//
// Creative Commons License
//
// This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
//
/* globals ROT */
/* exported Names */
var Names = {
	generator: new ROT.StringGenerator({prior:0, order:3}),
	init: function() {
		this.generator.observe("Abi");
		this.generator.observe("Akebono");
		this.generator.observe("Akinoshima");
		this.generator.observe("Akinoshu");
		this.generator.observe("Akinoyama");
		this.generator.observe("Akiseyama");
		this.generator.observe("Akua");
		this.generator.observe("Amakaze");
		this.generator.observe("Amanoyama");
		this.generator.observe("Amatsukaze");
		this.generator.observe("Aminishiki");
		this.generator.observe("Amuru");
		this.generator.observe("Annenyama");
		this.generator.observe("Aobajo");
		this.generator.observe("Aobayama");
		this.generator.observe("Aogiyama");
		this.generator.observe("Aoiyama");
		this.generator.observe("Aonosato");
		this.generator.observe("Aotsurugi");
		this.generator.observe("Araiwa");
		this.generator.observe("Aran");
		this.generator.observe("Arase");
		this.generator.observe("Arashiyama");
		this.generator.observe("Aratoshi");
		this.generator.observe("Arawashi");
		this.generator.observe("Asaarashi");
		this.generator.observe("Asabenkei");
		this.generator.observe("Asagyokusei");
		this.generator.observe("Asahifuji");
		this.generator.observe("Asahikuni");
		this.generator.observe("Asahisato");
		this.generator.observe("Asahisho");
		this.generator.observe("Asahitaka");
		this.generator.observe("Asahiyutaka");
		this.generator.observe("Asanobori");
		this.generator.observe("Asanosho");
		this.generator.observe("Asanowaka");
		this.generator.observe("Asanoyama");
		this.generator.observe("Asasegawa");
		this.generator.observe("Asasekiryu");
		this.generator.observe("Asashoryu");
		this.generator.observe("Asofuji");
		this.generator.observe("Azumakase");
		this.generator.observe("Azumanishiki");
		this.generator.observe("Azumao");
		this.generator.observe("Azumaryu");
		this.generator.observe("Banryuyama");
		this.generator.observe("Baruto");
		this.generator.observe("Bishuyama");
		this.generator.observe("Bushozan");
		this.generator.observe("Bushuyama");
		this.generator.observe("Buyuzan");
		this.generator.observe("Chikubayama");
		this.generator.observe("Chiyoarashi");
		this.generator.observe("Chiyohakuho");
		this.generator.observe("Chiyohakuryu");
		this.generator.observe("Chiyomaru");
		this.generator.observe("Chiyonofuji");
		this.generator.observe("Chiyonokuni");
		this.generator.observe("Chiyonoo");
		this.generator.observe("Chiyonoo");
		this.generator.observe("Chiyonoumi");
		this.generator.observe("Chiyonoumi");
		this.generator.observe("Chiyonoyama");
		this.generator.observe("Chiyootori");
		this.generator.observe("Chiyootori");
		this.generator.observe("Chiyoshoma");
		this.generator.observe("Chiyotaikai");
		this.generator.observe("Chiyotairyu");
		this.generator.observe("Chiyotenzan");
		this.generator.observe("Chiyozakura");
		this.generator.observe("Churanoumi");
		this.generator.observe("Daiamami");
		this.generator.observe("Daibanjaku");
		this.generator.observe("Daido");
		this.generator.observe("Daieisho");
		this.generator.observe("Daigaku");
		this.generator.observe("Daigo");
		this.generator.observe("Daihi");
		this.generator.observe("Daiju");
		this.generator.observe("Daijuyama");
		this.generator.observe("Daikirin");
		this.generator.observe("Daimanazuru");
		this.generator.observe("Daimonji");
		this.generator.observe("Dairaido");
		this.generator.observe("Dairyu");
		this.generator.observe("Dairyugawa");
		this.generator.observe("Daiseido");
		this.generator.observe("Daishi");
		this.generator.observe("Daishochi");
		this.generator.observe("Daishodai");
		this.generator.observe("Daishoho");
		this.generator.observe("Daishomaru");
		this.generator.observe("Daishoumi");
		this.generator.observe("Daishoyama");
		this.generator.observe("Daitenma");
		this.generator.observe("Daitensho");
		this.generator.observe("Daitenzan");
		this.generator.observe("Daitetsu");
		this.generator.observe("Daiyu");
		this.generator.observe("Daiyubu");
		this.generator.observe("Daizen");
		this.generator.observe("Dejima");
		this.generator.observe("Dewaarashi");
		this.generator.observe("Dewaminato");
		this.generator.observe("Dewanishiki");
		this.generator.observe("Dewanohana");
		this.generator.observe("Dewanojo");
		this.generator.observe("Dewanoryu");
		this.generator.observe("Dewanosato");
		this.generator.observe("Dewaotori");
		this.generator.observe("Edomura");
		this.generator.observe("Eigayama");
		this.generator.observe("Enazakura");
		this.generator.observe("Endo");
		this.generator.observe("Enho");
		this.generator.observe("Fudoyama");
		this.generator.observe("Fujiazuma");
		this.generator.observe("Fujinishiki");
		this.generator.observe("Fujinokawa");
		this.generator.observe("Fujinoshin");
		this.generator.observe("Fujizakura");
		this.generator.observe("Fukunohana");
		this.generator.observe("Fukunoshima");
		this.generator.observe("Furanshishu");
		this.generator.observe("Furuichi");
		this.generator.observe("Fusanishiki");
		this.generator.observe("Futabayama");
		this.generator.observe("Futagodake");
		this.generator.observe("Futagoryu");
		this.generator.observe("Futahaguro");
		this.generator.observe("Futatsuryu");
		this.generator.observe("Futeno");
		this.generator.observe("Gagamaru");
		this.generator.observe("Ganyu");
		this.generator.observe("Gochozan");
		this.generator.observe("Goeido");
		this.generator.observe("Gojoro");
		this.generator.observe("Gokushindo");
		this.generator.observe("Hachiya");
		this.generator.observe("Hagurohana");
		this.generator.observe("Haguroiwa");
		this.generator.observe("Haguroyama");
		this.generator.observe("Hakuba");
		this.generator.observe("Hakuho");
		this.generator.observe("Hakurozan");
		this.generator.observe("Hakuyozan");
		this.generator.observe("Hamanishiki");
		this.generator.observe("Hamanoshima");
		this.generator.observe("Hanahikari");
		this.generator.observe("Hanakaze");
		this.generator.observe("Hananokuni");
		this.generator.observe("Hananosato");
		this.generator.observe("Hananoumi");
		this.generator.observe("Harimayama");
		this.generator.observe("Harumafuji");
		this.generator.observe("Harunoyama");
		this.generator.observe("Hasegawa");
		this.generator.observe("Hattori");
		this.generator.observe("Hayateumi");
		this.generator.observe("Hibikiryu");
		this.generator.observe("Hidanohana");
		this.generator.observe("Hidenohana");
		this.generator.observe("Hidenokuni");
		this.generator.observe("Hidenoumi");
		this.generator.observe("Higonojo");
		this.generator.observe("Higonoumi");
		this.generator.observe("Hinodeshima");
		this.generator.observe("Hiraga");
		this.generator.observe("Hishofuji");
		this.generator.observe("Hitachiyama");
		this.generator.observe("Hitenryu");
		this.generator.observe("Hoo");
		this.generator.observe("Hochiyama");
		this.generator.observe("Hochiyama");
		this.generator.observe("Hokutenyu");
		this.generator.observe("Hokutenkai");
		this.generator.observe("Hokutofuji");
		this.generator.observe("Hokutoiwa");
		this.generator.observe("Hokutokuni");
		this.generator.observe("Hokutoriki");
		this.generator.observe("Hokutoriki");
		this.generator.observe("Hokutoumi");
		this.generator.observe("Homarefuji");
		this.generator.observe("Homarenishiki");
		this.generator.observe("Homasho");
		this.generator.observe("Hoshihkari");
		this.generator.observe("Hoshiiwato");
		this.generator.observe("Hoshikaze");
		this.generator.observe("Hoshitango");
		this.generator.observe("Hoshoryu");
		this.generator.observe("Ichinojo");
		this.generator.observe("Ichinotani");
		this.generator.observe("Ichinoya");
		this.generator.observe("Ichiyamamoto");
		this.generator.observe("Ikioi");
		this.generator.observe("Imafuku");
		this.generator.observe("Inazuma");
		this.generator.observe("Irodori");
		this.generator.observe("Ishinriki");
		this.generator.observe("Ishiura");
		this.generator.observe("Itai");
		this.generator.observe("Iwakaze");
		this.generator.observe("Iwakiyama");
		this.generator.observe("Iwashita");
		this.generator.observe("Jingaku");
		this.generator.observe("Jinmaku");
		this.generator.observe("Jokoryu");
		this.generator.observe("Jumonji");
		this.generator.observe("Juzan");
		this.generator.observe("Kagamifuji");
		this.generator.observe("Kagamio");
		this.generator.observe("Kagamisato");
		this.generator.observe("Kagayaki");
		this.generator.observe("Kaido");
		this.generator.observe("Kaihakuzan");
		this.generator.observe("Kaiho");
		this.generator.observe("Kaiketsu");
		this.generator.observe("Kaiki");
		this.generator.observe("Kainoyama");
		this.generator.observe("Kaio");
		this.generator.observe("Kairyuyama");
		this.generator.observe("Kaisei");
		this.generator.observe("Kaishin");
		this.generator.observe("Kaisho");
		this.generator.observe("Kakizoe");
		this.generator.observe("Kakuryu");
		this.generator.observe("Kamikiiwa");
		this.generator.observe("Kamito");
		this.generator.observe("Kanechika");
		this.generator.observe("Kanenohana");
		this.generator.observe("Kaneshiro");
		this.generator.observe("Kanreki");
		this.generator.observe("Kaonishiki");
		this.generator.observe("Kashiwado");
		this.generator.observe("Kasugafuji");
		this.generator.observe("Kasuganishiki");
		this.generator.observe("Kasugao");
		this.generator.observe("Katayama");
		this.generator.observe("Katsuhikari");
		this.generator.observe("Kazafuzan");
		this.generator.observe("Keitenkai");
		this.generator.observe("Kengo");
		this.generator.observe("Kimikaze");
		this.generator.observe("Kiminishiki");
		this.generator.observe("Kimurayama");
		this.generator.observe("Kinkaiyama");
		this.generator.observe("Kinoarashi");
		this.generator.observe("Kinryuzan");
		this.generator.observe("Kiribayama");
		this.generator.observe("Kirinishiki");
		this.generator.observe("Kirinji");
		this.generator.observe("Kirinowaka");
		this.generator.observe("Kirishima");
		this.generator.observe("Kisenosato");
		this.generator.observe("Kitaazuma");
		this.generator.observe("Kitabayama");
		this.generator.observe("Kitaharima");
		this.generator.observe("Kitakachidoki");
		this.generator.observe("Kitakasuga");
		this.generator.observe("Kitanofuji");
		this.generator.observe("Kitanonada");
		this.generator.observe("Kitanoumi");
		this.generator.observe("Kitaoji");
		this.generator.observe("Kitaseumi");
		this.generator.observe("Kitataiki");
		this.generator.observe("Kitazakura");
		this.generator.observe("Kiyokuni");
		this.generator.observe("Kiyonomori");
		this.generator.observe("Kiyonoumi");
		this.generator.observe("Kiyoseumi");
		this.generator.observe("Kizakiumi");
		this.generator.observe("Kizenryu");
		this.generator.observe("Kobo");
		this.generator.observe("Koboyama");
		this.generator.observe("Kokkai");
		this.generator.observe("Komafudo");
		this.generator.observe("Kongo");
		this.generator.observe("Konishiki");
		this.generator.observe("Konuma");
		this.generator.observe("Koryu");
		this.generator.observe("Kosei");
		this.generator.observe("Kotetsuyama");
		this.generator.observe("Kotoanbai");
		this.generator.observe("Kotobeppu");
		this.generator.observe("Kotochitose");
		this.generator.observe("Kotoeko");
		this.generator.observe("Kotofuji");
		this.generator.observe("Kotogahama");
		this.generator.observe("Kotogatake");
		this.generator.observe("Kotogaume");
		this.generator.observe("Kotoinazuma");
		this.generator.observe("Kotokasuga");
		this.generator.observe("Kotokaze");
		this.generator.observe("Kotokuzen");
		this.generator.observe("Kotomisen");
		this.generator.observe("Kotomitsuki");
		this.generator.observe("Kotonishiki");
		this.generator.observe("Kotonofuji");
		this.generator.observe("Kotonomine");
		this.generator.observe("Kotonomori");
		this.generator.observe("Kotonowaka");
		this.generator.observe("Kotoo");
		this.generator.observe("Kotoosako");
		this.generator.observe("Kotooshu");
		this.generator.observe("Kotoryu");
		this.generator.observe("Kotoshogiku");
		this.generator.observe("Kotoshoho");
		this.generator.observe("Kototenzan");
		this.generator.observe("Kototsubaki");
		this.generator.observe("Kotoyanagi");
		this.generator.observe("Kotoyuki");
		this.generator.observe("Kotoyutaka");
		this.generator.observe("Kotozakura");
		this.generator.observe("Kuniazuma");
		this.generator.observe("Kuninofuji");
		this.generator.observe("Kurama");
		this.generator.observe("Kurohimeyama");
		this.generator.observe("Kurosegawa");
		this.generator.observe("Kushimaumi");
		this.generator.observe("Kyokudozan");
		this.generator.observe("Kyokugozan");
		this.generator.observe("Kyokujishi");
		this.generator.observe("Kyokunankai");
		this.generator.observe("Kyokusetsuzan");
		this.generator.observe("Kyokushuho");
		this.generator.observe("Kyokushuzan");
		this.generator.observe("Kyokutaisei");
		this.generator.observe("Kyokutenho");
		this.generator.observe("Kyokutenzan");
		this.generator.observe("Maedagawa");
		this.generator.observe("Maedaiko");
		this.generator.observe("Maedayama");
		this.generator.observe("Maenoshin");
		this.generator.observe("Maenoyama");
		this.generator.observe("Maenoyu");
		this.generator.observe("Maikaze");
		this.generator.observe("Maikera");
		this.generator.observe("Mainoumi");
		this.generator.observe("Manazuru");
		this.generator.observe("Maruyama");
		this.generator.observe("Masakaze");
		this.generator.observe("Masatsukasa");
		this.generator.observe("Masudayama");
		this.generator.observe("Masunoyama");
		this.generator.observe("Masurao");
		this.generator.observe("Masuruami");
		this.generator.observe("Matsunobori");
		this.generator.observe("Matsuruyuyama");
		this.generator.observe("Matutoo");
		this.generator.observe("Meisei");
		this.generator.observe("Midorifuji");
		this.generator.observe("Mienoumi");
		this.generator.observe("Minaminoshima");
		this.generator.observe("Minatofuji");
		this.generator.observe("Misugiiso");
		this.generator.observe("Misugisato");
		this.generator.observe("Mitakeumi");
		this.generator.observe("Mitoizumi");
		this.generator.observe("Mitoryu");
		this.generator.observe("Mitsuneyama");
		this.generator.observe("Miyabiyama");
		this.generator.observe("Miyagiyama");
		this.generator.observe("Mokonami");
		this.generator.observe("Muryu");
		this.generator.observe("Musashikuni");
		this.generator.observe("Musashimaru");
		this.generator.observe("Musoyama");
		this.generator.observe("Mutsuarashi");
		this.generator.observe("Myobudani");
		this.generator.observe("Myogiryu");
		this.generator.observe("Nakanokuni");
		this.generator.observe("Naminohana");
		this.generator.observe("Nanfu");
		this.generator.observe("Nankairyu");
		this.generator.observe("Nankaiyama");
		this.generator.observe("Nanyozakura");
		this.generator.observe("Nanzan");
		this.generator.observe("Nayoroiwa");
		this.generator.observe("Niigiyama");
		this.generator.observe("Nionoumi");
		this.generator.observe("Nishikifuji");
		this.generator.observe("Nishikigi");
		this.generator.observe("Oga");
		this.generator.observe("Oginishiki");
		this.generator.observe("Oginohana");
		this.generator.observe("Ohinode");
		this.generator.observe("Oho");
		this.generator.observe("Oikari");
		this.generator.observe("Oikawa");
		this.generator.observe("Oiteyama");
		this.generator.observe("Oiwato");
		this.generator.observe("Okanoyama");
		this.generator.observe("Oki");
		this.generator.observe("Okinoumi");
		this.generator.observe("Oniarashi");
		this.generator.observe("Onishiki");
		this.generator.observe("Onohana");
		this.generator.observe("Onokuni");
		this.generator.observe("Onojo");
		this.generator.observe("Onosho");
		this.generator.observe("Onoumi");
		this.generator.observe("Orora");
		this.generator.observe("Oshio");
		this.generator.observe("Osunaarashi");
		this.generator.observe("Otsuji");
		this.generator.observe("Otsukasa");
		this.generator.observe("Ouchiyama");
		this.generator.observe("Oyutaka");
		this.generator.observe("Ozura");
		this.generator.observe("Ozutsu");
		this.generator.observe("Raiden");
		this.generator.observe("Raiko");
		this.generator.observe("Rikidozan");
		this.generator.observe("Rikio");
		this.generator.observe("Rikishin");
		this.generator.observe("Roga");
		this.generator.observe("Roho");
		this.generator.observe("Ryogoku");
		this.generator.observe("Ryuden");
		this.generator.observe("Ryuho");
		this.generator.observe("Ryuko");
		this.generator.observe("Ryukozan");
		this.generator.observe("Ryuo");
		this.generator.observe("Ryuonami");
		this.generator.observe("Ryutei");
		this.generator.observe("Sachinoshima");
		this.generator.observe("Sadanofuji");
		this.generator.observe("Sadanohikari");
		this.generator.observe("Sadanoumi");
		this.generator.observe("Sadanoyama");
		this.generator.observe("Saganohana");
		this.generator.observe("Sagatsukasa");
		this.generator.observe("Sakahoko");
		this.generator.observe("Sakaizawa");
		this.generator.observe("Sakigake");
		this.generator.observe("Sasshunada");
		this.generator.observe("Satoyama");
		this.generator.observe("Sawahikari");
		this.generator.observe("Seiro");
		this.generator.observe("Sensho");
		this.generator.observe("Senshuyama");
		this.generator.observe("Sentoryu");
		this.generator.observe("Shikishima");
		this.generator.observe("Shimanoumi");
		this.generator.observe("Shimizugawa");
		this.generator.observe("Shimotori");
		this.generator.observe("Shimoyama");
		this.generator.observe("Shinnishiki");
		this.generator.observe("Shiratayama");
		this.generator.observe("Shirononami");
		this.generator.observe("Shironoryu");
		this.generator.observe("Shishi");
		this.generator.observe("Shishiho");
		this.generator.observe("Shobushi");
		this.generator.observe("Shodai");
		this.generator.observe("Shohozan");
		this.generator.observe("Shotenro");
		this.generator.observe("Shunketsu");
		this.generator.observe("Sokokurai");
		this.generator.observe("Soranoumi");
		this.generator.observe("Sotairyu");
		this.generator.observe("Sumanofuji");
		this.generator.observe("Tagaryu");
		this.generator.observe("Taiga");
		this.generator.observe("Taiho");
		this.generator.observe("Taikai");
		this.generator.observe("Taiko");
		this.generator.observe("Takaazuma");
		this.generator.observe("Takagenji");
		this.generator.observe("Takakeisho");
		this.generator.observe("Takakento");
		this.generator.observe("Takamifuji");
		this.generator.observe("Takamio");
		this.generator.observe("Takamisakari");
		this.generator.observe("Takamishu");
		this.generator.observe("Takamisugi");
		this.generator.observe("Takamiyama");
		this.generator.observe("Takanofuji");
		this.generator.observe("Takanohana");
		this.generator.observe("Takanoiwa");
		this.generator.observe("Takanomine");
		this.generator.observe("Takanonami");
		this.generator.observe("Takanosato");
		this.generator.observe("Takanosho");
		this.generator.observe("Takanotsuru");
		this.generator.observe("Takanoumi");
		this.generator.observe("Takanowaka");
		this.generator.observe("Takanoyama");
		this.generator.observe("Takao");
		this.generator.observe("Takarafuji");
		this.generator.observe("Takarakuni");
		this.generator.observe("Takaryu");
		this.generator.observe("Takatoriki");
		this.generator.observe("Takayasu");
		this.generator.observe("Takekaze");
		this.generator.observe("Tamaarashi");
		this.generator.observe("Tamaasuka");
		this.generator.observe("Tamakairiki");
		this.generator.observe("Tamakasuga");
		this.generator.observe("Tamakirin");
		this.generator.observe("Tamakiyama");
		this.generator.observe("Tamanishiki");
		this.generator.observe("Tamanofuji");
		this.generator.observe("Tamanoshima");
		this.generator.observe("Tamanoumi");
		this.generator.observe("Tamarikido");
		this.generator.observe("Tamaryu");
		this.generator.observe("Tamashoho");
		this.generator.observe("Tamawashi");
		this.generator.observe("Tamayama");
		this.generator.observe("Tanikaze");
		this.generator.observe("Tanzo");
		this.generator.observe("Tatsuhikari");
		this.generator.observe("Tatsunohana");
		this.generator.observe("Tenkaiho");
		this.generator.observe("Tennozan");
		this.generator.observe("Tenryu");
		this.generator.observe("Tensuiyama");
		this.generator.observe("Terao");
		this.generator.observe("Terasawa");
		this.generator.observe("Terukuni");
		this.generator.observe("Terunofuji");
		this.generator.observe("Terunoumi");
		this.generator.observe("Terutsuyoshi");
		this.generator.observe("Teruzakura");
		this.generator.observe("Tobizaru");
		this.generator.observe("Tochiakagi");
		this.generator.observe("Tochiazuma");
		this.generator.observe("Tochifudo");
		this.generator.observe("Tochifuji");
		this.generator.observe("Tochigiyama");
		this.generator.observe("Tochihikari");
		this.generator.observe("Tochihiryu");
		this.generator.observe("Tochiisami");
		this.generator.observe("Tochiizumi");
		this.generator.observe("Tochimatoi");
		this.generator.observe("Tochinishiki");
		this.generator.observe("Tochinohana");
		this.generator.observe("Tochinonada");
		this.generator.observe("Tochinoshin");
		this.generator.observe("Tochinoumi");
		this.generator.observe("Tochinowaka");
		this.generator.observe("Tochioyama");
		this.generator.observe("Tochiozan");
		this.generator.observe("Tochisakae");
		this.generator.observe("Tochitsukasa");
		this.generator.observe("Tohakuryu");
		this.generator.observe("Toki");
		this.generator.observe("Toki");
		this.generator.observe("Tokibayama");
		this.generator.observe("Tokitenku");
		this.generator.observe("Tokitsunada");
		this.generator.observe("Tokitsuumi");
		this.generator.observe("Tokitsuyama");
		this.generator.observe("Tokusegawa");
		this.generator.observe("Tokushinho");
		this.generator.observe("Tokushoryu");
		this.generator.observe("Tomikaze");
		this.generator.observe("Tominohana");
		this.generator.observe("Tomoefuji");
		this.generator.observe("Tomokaze");
		this.generator.observe("Tomonohana");
		this.generator.observe("Tomonoshima");
		this.generator.observe("Torokio");
		this.generator.observe("Toronoyama");
		this.generator.observe("Toryu");
		this.generator.observe("Tosanoumi");
		this.generator.observe("Tosayutaka");
		this.generator.observe("Towanoyama");
		this.generator.observe("Toyohibiki");
		this.generator.observe("Toyonishiki");
		this.generator.observe("Toyonobori");
		this.generator.observe("Toyonokuni");
		this.generator.observe("Toyonoshima");
		this.generator.observe("Toyonoumi");
		this.generator.observe("Toyozakura");
		this.generator.observe("Tsukasaumi");
		this.generator.observe("Tsunenohana");
		this.generator.observe("Tsurugamine");
		this.generator.observe("Tsurugidake");
		this.generator.observe("Tsurugisho");
		this.generator.observe("Udagawa");
		this.generator.observe("Umegatani");
		this.generator.observe("Ura");
		this.generator.observe("Ushiomaru");
		this.generator.observe("Wajima");
		this.generator.observe("Wakaazuma");
		this.generator.observe("Wakabayama");
		this.generator.observe("Wakachichibu");
		this.generator.observe("Wakachikara");
		this.generator.observe("Wakafutase");
		this.generator.observe("Wakahaguro");
		this.generator.observe("Wakaichiro");
		this.generator.observe("Wakajishi");
		this.generator.observe("Wakakirin");
		this.generator.observe("Wakakoma");
		this.generator.observe("Wakakosho");
		this.generator.observe("Wakakoyu");
		this.generator.observe("Wakamisugi");
		this.generator.observe("Wakamiyama");
		this.generator.observe("Wakamotoharu");
		this.generator.observe("Wakanami");
		this.generator.observe("Wakanohana");
		this.generator.observe("Wakanoho");
		this.generator.observe("Wakanojo");
		this.generator.observe("Wakanokuni");
		this.generator.observe("Wakanosato");
		this.generator.observe("Wakanoshima");
		this.generator.observe("Wakanoyama");
		this.generator.observe("Wakasegawa");
		this.generator.observe("Wakashima");
		this.generator.observe("Wakashimazu");
		this.generator.observe("Wakashoji");
		this.generator.observe("Wakashoyo");
		this.generator.observe("Wakasugiyama");
		this.generator.observe("Wakatakakage");
		this.generator.observe("Wakatakami");
		this.generator.observe("Wakatenro");
		this.generator.observe("Wakatenryu");
		this.generator.observe("Wakatoba");
		this.generator.observe("Wakatoryu");
		this.generator.observe("Wakatsutomu");
		this.generator.observe("Wakayashima");
		this.generator.observe("Washuyama");
		this.generator.observe("Yago");
		this.generator.observe("Yamada");
		this.generator.observe("Yamaguchi");
		this.generator.observe("Yamamotoyama");
		this.generator.observe("Yamato");
		this.generator.observe("Yashinoshima");
		this.generator.observe("Yoshiazuma");
		this.generator.observe("Yoshibayama");
		this.generator.observe("Yoshikaze");
		this.generator.observe("Yoshinohana");
		this.generator.observe("Yoshinotani");
		this.generator.observe("Yoshioyama");
		this.generator.observe("Yotsuguruma");
		this.generator.observe("Yotsukasa");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Yutakayama");
		this.generator.observe("Zaonishiki");
	},
	getAName: function() {
		let name;
		do {
			name = this.generator.generate();
		} while(name.length > 11);
		return name;
	}
};
