/*!
 * © 2021 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */

/* exported Result */
class Result {
	constructor() {
		this._winner = null;
		this._loser = null;
		this._text = [];
		this._newline = true;
	}
	setWinner(winner) {
		this._winner = winner;
	}
	getWinner() {
		return this._winner;
	}
	setLoser(loser) {
		this._loser = loser;
	}
	getLoser() {
		return this._loser;
	}
	getText() {
		return this._text;
	}
	newline() {
		this._newline = true;
	}
	addText(text) {
		if (this._newline) {
			this._text.push(text);
			this._newline = false;
		} else {
			this._text[this._text.length-1] = this._text[this._text.length-1] + " " + text;
		}
	}
}
